image: gradle:4.2.1-jdk8-alpine
stages:
    - build

variables:
    GRADLE_OPTS: "-Dorg.gradle.daemon=false"

before_script:
    - export GRADLE_USER_HOME=`pwd`/.gradle

build:
    stage: build
    script:
        - gradle --build-cache assemble
    allow_failure: false
    cache:
        key: "$CI_COMMIT_REF_NAME"
        policy: push
        paths:
            - build
            - .gradle
